bmtimer.h File Reference

Timing utilities for benchmarking (internal). More...

`#include <iostream>`
`#include <iomanip>`
`#include <string>`
`#include <map>`
`#include <chrono>`
Include dependency graph for bmtimer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | bm::chrono_taker< TOut >
| Utility class to collect performance measurements and statistics. More...
struct | bm::chrono_taker< TOut >::statistics
| collected statistics More...

## Namespaces

namespace | bm

## Detailed Description

Timing utilities for benchmarking (internal).

Definition in file bmtimer.h.